Skip to Content
inclamoDocs

Toggle Status

POST
/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status

Toggle the status of a conversation. Pass status to explicitly set the conversation state. Use snoozed along with snoozed_until to snooze a conversation until a specific time. If snoozed_until is omitted, the conversation is snoozed until the next reply from the contact. Regardless of the value provided, snoozed conversations always reopen on the next reply from the contact.

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

conversation_id*integer

The numeric ID of the conversation

Request Body

application/json
  1. body
status*string

The status of the conversation

Value in"open""resolved""pending""snoozed"
snoozed_until?number

When status is snoozed, schedule the reopen time as a Unix timestamp in seconds. If not provided, the conversation is snoozed until the next customer reply. The conversation always reopens when the customer replies.

Response Body

Success

application/json
  1. response
meta?
payload?
Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0/toggle_status' \  -H 'Content-Type: application/json' \  -d '{  "status": "open"}'
Example Response
{  "meta": {},  "payload": {    "success": true,    "current_status": "open",    "conversation_id": 0  }}